Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationService

extends java.rmi.Remote

This interface define methods to manage server configuration service.

Method Summary
`java.lang.String` | `getActiveRealm()` Return active realm in the serverthrows RemoteException;
`int` | `getAdminPort()` Return Administration Port.
`int` | `getConnectionTimeout()` Return connection Timeout in millsecondsthrows RemoteException;
`java.util.Vector` | `getHostAddresses()` Return active host addressesthrows RemoteException;
`java.lang.String` | `getHostName()` get active host namethrows RemoteException;
`int` | `getMaxNumberOfConnection()` Return the maximum number of connectionsthrows RemoteException;
`int` | `getMaxNumberOfHandler()` Return the maximum number of handlers.
`int` | `getPort()` Returns the service port of service configuration on specified network addressthrows RemoteException;
`java.util.Vector` | `getRealms()` Return Realmthrows RemoteException;
`boolean` | `getServiceOnAll()` Return if Provide Service on All Network Addresses throws RemoteException;
`java.lang.String` | `getServletPropertyFileName()` Return the servlet property file namethrows RemoteException;
`int` | `getSSLAdminPort()` return http admin server secure port.
`java.lang.String` | `getSSLAlgorithm()` return keystore algorithm.
`java.lang.String` | `getSSLKeystoreFile()` return the keystore (database file) location.
`java.lang.String` | `getSSLKeystorePassword()` return password which is used to protect the integrity of the keystore.
`java.lang.String` | `getSSLKeystoreType()` return the qualifier specifies the type of keystore to be instantiated.
`int` | `getSSLPort()` return http server SSL port.
`java.lang.String` | `getSSLProtocol()` return the encryption/decryption protocol to be used on SSLSocket.
`boolean` | `isEnableSSL()` return if enable SSL.
`void` | `loadProperties()` set the properties of server
`void` | `setActiveRealm(java.lang.String activeRealm)` Set active realm in the serverthrows RemoteException;
`void` | `setAdminPort(int adminPort)` Set Administration Port.
`boolean` | `setConnectionTimeout(int connectionTimeout)` Set connection Timeout in millsecondsthrows RemoteException;
`void` | `setEnableSSL(boolean isEnable)` Set http server enable SSL.
`void` | `setHostName(java.lang.String hostName)` set active host namethrows RemoteException;
`boolean` | `setMaxNumberOfConnection(int maxNumberOfConnection)` Set the maximum number of connectionsthrows RemoteException;
`boolean` | `setMaxNumberOfHandler(int maxNumberOfHandler)` Set the maximum number of handlers.
`boolean` | `setPort(int port)` Set the service port of service configuration on specified network address;
`void` | `setServiceOnAll(boolean allAddresses)` Set if Provide Service on All Network Addresses throws RemoteException; true if Provide Service on All Network Addresses , else means Network Address at: *.
`boolean` | `setServletPropertyFileName(java.lang.String servletPropertyFileName)` Set the servlet property file namethrows RemoteException;
`void` | `setSSLAdminPort(int adminPort)` Set http admin server secure port
`void` | `setSSLAlgorithm(java.lang.String algorithm)` Set keystore algorithm
`void` | `setSSLKeystoreFile(java.lang.String keyStoreFile)` set http server keystore file name
`void` | `setSSLKeystorePassword(java.lang.String keyStorePassword)` set http server keystore file password
`void` | `setSSLKeystoreType(java.lang.String keyStoreType)` set http server keystore type.
`void` | `setSSLPort(int port)` set http server secure port
`void` | `setSSLProtocol(java.lang.String protocol)` Set the encryption/decryption protocol to be used on SSLSocket.

Method Detail

### setPort

    boolean setPort(int port)
                    throws java.rmi.RemoteException

  Set the service port of service configuration on specified network address;

  Parameters:
    `port` - the service port code.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPort

    int getPort()
                throws java.rmi.RemoteException

  Returns the service port of service configuration on specified network addressthrows RemoteException;

  Returns:
    the service port code.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAdminPort

    void setAdminPort(int adminPort)
                      throws java.rmi.RemoteException

  Set Administration Port.

  Parameters:
    `adminPort` - Administration Port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAdminPort

    int getAdminPort()
                     throws java.rmi.RemoteException

  Return Administration Port.

  Returns:
    Administration Port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxNumberOfHandler

    boolean setMaxNumberOfHandler(int maxNumberOfHandler)
                                  throws java.rmi.RemoteException

  Set the maximum number of handlers.

  Parameters:
    `maxNumberOfHandler` - the maximum number of handlers.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxNumberOfHandler

    int getMaxNumberOfHandler()
                              throws java.rmi.RemoteException

  Return the maximum number of handlers.

  Returns:
    the maximum number of handlers.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxNumberOfConnection

    boolean setMaxNumberOfConnection(int maxNumberOfConnection)
                                     throws java.rmi.RemoteException

  Set the maximum number of connectionsthrows RemoteException;

  Parameters:
    `maxNumberOfConnection` - the maximum number of connectionsthrows RemoteException;
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxNumberOfConnection

    int getMaxNumberOfConnection()
                                 throws java.rmi.RemoteException

  Return the maximum number of connectionsthrows RemoteException;

  Returns:
    the maximum number of connectionsthrows RemoteException;
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setConnectionTimeout

    boolean setConnectionTimeout(int connectionTimeout)
                                 throws java.rmi.RemoteException

  Set connection Timeout in millsecondsthrows RemoteException;

  Parameters:
    `connectionTimeout` - connection Timeout in millsecondsthrows RemoteException;
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConnectionTimeout

    int getConnectionTimeout()
                             throws java.rmi.RemoteException

  Return connection Timeout in millsecondsthrows RemoteException;

  Returns:
    connection Timeout in millsecondsthrows RemoteException;
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setServletPropertyFileName

    boolean setServletPropertyFileName(java.lang.String servletPropertyFileName)
                                       throws java.rmi.RemoteException

  Set the servlet property file namethrows RemoteException;

  Parameters:
    `servletPropertyFileName` - the servlet property filename.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getServletPropertyFileName

    java.lang.String getServletPropertyFileName()
                                                throws java.rmi.RemoteException

  Return the servlet property file namethrows RemoteException;

  Returns:
    the servlet property filename.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setActiveRealm

    void setActiveRealm(java.lang.String activeRealm)
                        throws java.rmi.RemoteException

  Set active realm in the serverthrows RemoteException;

  Parameters:
    `activeRealm` - active realm in the server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getActiveRealm

    java.lang.String getActiveRealm()
                                    throws java.rmi.RemoteException

  Return active realm in the serverthrows RemoteException;

  Returns:
    active realm in the server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getServiceOnAll

    boolean getServiceOnAll()
                            throws java.rmi.RemoteException

  Return if Provide Service on All Network Addresses throws RemoteException;

  Returns:
    true if Provide Service on All Network Addresses , else means Network Address at: *.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getHostAddresses

    java.util.Vector getHostAddresses()
                                      throws java.rmi.RemoteException

  Return active host addressesthrows RemoteException;

  Returns:
    active host addresses.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getHostName

    java.lang.String getHostName()
                                 throws java.rmi.RemoteException

  get active host namethrows RemoteException;

  Returns:
    host name in the server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setHostName

    void setHostName(java.lang.String hostName)
                     throws java.rmi.RemoteException

  set active host namethrows RemoteException;

  Parameters:
    `hostName` - hostName of the server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setServiceOnAll

    void setServiceOnAll(boolean allAddresses)
                         throws java.rmi.RemoteException

  Set if Provide Service on All Network Addresses throws RemoteException; true if Provide Service on All Network Addresses , else means Network Address at: *.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getRealms

    java.util.Vector getRealms()
                               throws java.rmi.RemoteException

  Return Realmthrows RemoteException;

  Returns:
    object which is Realm.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  set the properties of server

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableSSL

    void setEnableSSL(boolean isEnable)
                      throws java.rmi.RemoteException

  Set http server enable SSL.

  Parameters:
    `isEnable` - true enable SSL, false disable it.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableSSL

    boolean isEnableSSL()
                        throws java.rmi.RemoteException

  return if enable SSL.

  Returns:
    true when enable SSL, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLPort

    int getSSLPort()
                   throws java.rmi.RemoteException

  return http server SSL port.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLPort

    void setSSLPort(int port)
                    throws java.rmi.RemoteException

  set http server secure port

  Parameters:
    `port` - http server secure port
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLAdminPort

    int getSSLAdminPort()
                        throws java.rmi.RemoteException

  return http admin server secure port.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLAdminPort

    void setSSLAdminPort(int adminPort)
                         throws java.rmi.RemoteException

  Set http admin server secure port

  Parameters:
    `port` - http admin server secure port
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLKeystoreFile

    java.lang.String getSSLKeystoreFile()
                                        throws java.rmi.RemoteException

  return the keystore (database file) location.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLKeystoreFile

    void setSSLKeystoreFile(java.lang.String keyStoreFile)
                            throws java.rmi.RemoteException

  set http server keystore file name

  Parameters:
    `keyStoreFile` - http server keystore file name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLKeystorePassword

    java.lang.String getSSLKeystorePassword()
                                            throws java.rmi.RemoteException

  return password which is used to protect the integrity of the keystore.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLKeystorePassword

    void setSSLKeystorePassword(java.lang.String keyStorePassword)
                                throws java.rmi.RemoteException

  set http server keystore file password

  Parameters:
    `keyStorePassword` - which is used to protect the integrity of the keystore.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLKeystoreType

    java.lang.String getSSLKeystoreType()
                                        throws java.rmi.RemoteException

  return the qualifier specifies the type of keystore to be instantiated.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLKeystoreType

    void setSSLKeystoreType(java.lang.String keyStoreType)
                            throws java.rmi.RemoteException

  set http server keystore type.

  Parameters:
    `keyStoreType` - which is used to specifies the type of keystore. The valid values are JKS and PKCS12.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLAlgorithm

    java.lang.String getSSLAlgorithm()
                                     throws java.rmi.RemoteException

  return keystore algorithm.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLAlgorithm

    void setSSLAlgorithm(java.lang.String algorithm)
                         throws java.rmi.RemoteException

  Set keystore algorithm

  Parameters:
    `algorithm` - defaults to the Sun implementation (SunX509). For IBM JVMs you should use the value IbmX509.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSSLProtocol

    java.lang.String getSSLProtocol()
                                    throws java.rmi.RemoteException

  return the encryption/decryption protocol to be used on SSLSocket.

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSSLProtocol

    void setSSLProtocol(java.lang.String protocol)
                        throws java.rmi.RemoteException

  Set the encryption/decryption protocol to be used on SSLSocket.

  Parameters:
    `protocol` - The valid values are SSL and TLS.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD